跳到内容
Influence
Esc
↑↓导航↵打开⌘J预览

发现可用工具

返回当前Bearer凭据可见的工具名称、说明、权限范围、确认要求和输入结构定义。

GET/api/v1/tools
授权
AuthorizationBearer令牌 · header必需

具有限定权限范围的Influence API密钥,或受支持的OAuth访问令牌。不要将凭据放入URL或工具输入。

响应
200

可用工具的描述符。

toolsobject[]必需
展开属性
object类型的数组
annotationsobject必需
展开属性
destructiveHintboolean必需
idempotentHintboolean必需
openWorldHintboolean必需
readOnlyHintboolean必需
confirmationstring必需
允许值:nonerequired
descriptionstring必需
最小长度:1 · 最大长度:1024
gatestring必需
允许值:coregenerative-ai
mutabilitystring必需
允许值:readexternal-readwriteexternal-write
namestring必需
允许值:adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsTool
scopesstring[]必需
最多4项
titlestring必需
最小长度:1 · 最大长度:80
inputSchemaobject必需
展开属性
typestring必需
400

请求无效。不接受查询参数。工具验证失败时可能使用工具错误封装结构。

errorobject必需
展开属性
codestring必需
messagestring必需
retryableboolean必需
401

Bearer凭据缺失、无效或已过期。

errorobject必需
展开属性
codestring必需
messagestring必需
retryableboolean必需
403

凭据缺少所需权限。

errorobject必需
展开属性
codestring必需
messagestring必需
retryableboolean必需
404

供程序调用的API或请求的工具不可用。

errorobject必需
展开属性
codestring必需
messagestring必需
retryableboolean必需
429

已超过速率限制,可以重试请求。

errorobject必需
展开属性
codestring必需
messagestring必需
retryableboolean必需
503

API或其上游执行环节不可用。

errorobject必需
展开属性
codestring必需
messagestring必需
retryableboolean必需
请求
curl -X GET 'https://influence.so/api/v1/tools' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
响应
{
  "tools": [
    {
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true
      },
      "confirmation": "none",
      "description": "string",
      "gate": "core",
      "mutability": "read",
      "name": "adAuditQuote",
      "scopes": [
        "integrations:read"
      ],
      "title": "string",
      "inputSchema": {
        "type": "object",
        "property1": "string",
        "property2": "string"
      },
      "property1": "string",
      "property2": "string"
    }
  ],
  "property1": "string",
  "property2": "string"
}